#ifndef _MYTIME_H
#define _MYTIME_H

/* this file needed to support timer and ticks */

#ifdef TIMER
#include <sys/types.h>
#include <sys/times.h>
#endif

#ifdef TIMER
#define set_timer(_timer_); \
   {  \
      _timer_ = (unsigned long)ticks();
#else
#define set_timer(_timer_);
#endif

#ifdef TIMER
#define time_accum(_timer_, _var_); \
      _var_ += ((unsigned long)ticks() - _timer_)/(float)ticksPerSec(); \
   }
#else
#define time_accum(_timer_, _var_);
#endif

#ifdef TIMER
#define print_time(_fp_, _fmt_, _var_); \
    fprintf(_fp_, _fmt_, _var_);
#else
#define print_time(_fp_, _fmt_, _var_);
#endif

extern unsigned long ticks();
extern int ticksPerSec();

extern unsigned long total_timer;
extern float total_time;

extern unsigned long imap_timer;
extern float imap_time;

extern unsigned long bin_timer;
extern float bin_time;

extern unsigned long minutia_timer;
extern float minutia_time;

extern unsigned long rm_minutia_timer;
extern float rm_minutia_time;

extern unsigned long ridge_count_timer;
extern float ridge_count_time;

#endif

