/***********************************************************************
      LIBRARY: IOUTIL - INPUT/OUTPUT Utilities

      FILE:    FILEHEAD.C
      AUTHOR:  Michael Garris
      DATE:    11/27/1989

      Contains routines responsible for extracing the "head" of
      a the directory path in a file name string.

      ROUTINES:
#cat: filehead - takes a full pathname and returns the information to the
#cat:            left of the rightmost directory level.

***********************************************************************/

#include<stdio.h>
#include <sys/param.h>

/*************************************************************/
/* Filehead() is a destructive procedure which takes a path  */
/* name and returns all directory information to the left    */
/* of the rightmost directory level.                         */
/*************************************************************/
void filehead(head)
char *head;
{

   char *cptr;
   char temp[MAXPATHLEN];

   cptr = head + strlen(head);
   while((cptr != head) && (*cptr != '/'))
      cptr--;
   if(cptr != head)
     /* EDIT MDG 1/25/99
      *cptr = NULL;
     */
      *cptr = '\0';
   else
      fatalerr("filehead","full path required as input",NULL);
}

