/***********************************************************************
      LIBRARY: IOUTIL - INPUT/OUTPUT Utilities

      FILE:    FILEROOT.C
      AUTHOR:  Michael Garris
      DATE:    11/27/1989

      Contains routines responsible for extracting the root name
      from a file name string.

      ROUTINES:
#cat: fileroot - takes a file name and strips off the rightmost extension,
#cat:            if one is present.

***********************************************************************/

#include <stdio.h>

/*************************************************************/
/* Fileroot() is a destructive procedure which takes a file  */
/* name and strips off the rightmost extension, if it exists.*/
/*************************************************************/
void fileroot(file)
char *file;
{
   char *cptr;

   cptr = file + strlen(file);
   while((cptr != file) && (*cptr != '.'))
      cptr--;
   if(*cptr == '.')
     /* EDIT MDG 1/25/99
      *cptr = NULL;
     */
      *cptr = '\0';
}

