/***********************************************************************
      LIBRARY: IOUTIL - INPUT/OUTPUT Utilities

      FILE:    FILETAIL.C
      AUTHOR:  Michael Garris
      DATE:    11/27/1989

      Contains routines responsible for extracing the "tail" of a
      directory path contained in a file name string.

      ROUTINES:
#cat: filetail - takes a full pathname and returns the information to the
#cat:            right of the rightmost directory level.

***********************************************************************/

#include <sys/param.h>

/*************************************************************/
/* Filetail() is a destructive procedure which takes a path  */
/* name and returns only the rightmost directory level.      */
/*************************************************************/
void filetail(tail)
char *tail;
{
   char *cptr;
   char temp[MAXPATHLEN];

   cptr = tail + strlen(tail);
   while((cptr != tail) && (*cptr != '/'))
      cptr--;
   if(cptr != tail){
      cptr++;
      strcpy(temp,cptr);
      strcpy(tail,temp);
   }
}

