/***********************************************************************
      LIBRARY: UTIL - General Purpose Utility Routines

      FILE:    TICKS.C
      AUTHOR:  JAMES BLUE
      DATE:    11/13/1990

      Contains routines responsible for accumulating the number of clock
      cycles (ticks) used by a process.

      ROUTINES:
#cat: ticks - returns the number of clock cycles (ticks) used by a process.
#cat:
#cat: ticksPerSec - returns the system definition for HZ, where 1/HZ seconds
#cat:               is a tick (HZ = 60).

***********************************************************************/
#include <sys/types.h>
#include <sys/times.h>
#include <sys/param.h>

/* ticks 13-Nov-90 15:41
 *		Get number of ticks used by process.
 */
unsigned long
ticks()
{
	struct tms buff;
	
	times(&buff);
	return buff.tms_utime;
}


/* ticksPerSec 13-Nov-90 15:41
 *		Get number of ticks per second reported by times().
 */
int
ticksPerSec()
{
	return HZ;			/* from param.h */
}

